<VirtualHost *:81>
	ServerName sam.aiki.info
	ServerAlias sam samau.aiki.info
	DocumentRoot "/www/sam.aiki.info"
	ServerAdmin sam@aiki.info
	ErrorLog logs/sam-error_log
	CustomLog logs/sam-access_log combined
	ScriptAlias /cgi-bin/ /www/sam.aiki.info/cgi-bin/
	ScriptAlias /x/ /www/sam.aiki.info/x/
	AddHandler cgi-script .cgi
	<Directory "/www/sam.aiki.info">
		Options +Indexes +SymLinksIfOwnerMatch
		Require all granted
		AllowOverride All
	</Directory>
	<Directory "/home/sam">
		Options +Indexes +SymLinksIfOwnerMatch
		Require all granted
		AllowOverride All
	</Directory>
	<Directory "/www/sam.aiki.info/cgi-bin">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Require all granted
	</Directory>
	<Directory "/www/sam.aiki.info/comments">
		Options -Indexes
		Require all granted
	</Directory>
	<Directory "/www/sam.aiki.info/x">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Require all granted
	</Directory>
	<Directory "/www/sam.aiki.info/a">
		AllowOverride None
		Deny from all
	</Directory>
	<Directory "/www/sam.aiki.info/logout">
		AllowOverride None
		Deny from all
	</Directory>
	<Directory "/www/sam.aiki.info/log">
		AllowOverride None
		Deny from all
	</Directory>
	<FilesMatch "^\.">
		order allow,deny
		deny from all
	</FilesMatch>
	AddType text/plain .b .bb .bh .bbh .b1 .c .cc .h .sh .pl .py
	RewriteEngine on
	RewriteRule ^/rescue$ http://sam.aiki.info/code/rescue/rescue.html [L]
	RewriteRule ^/peace_diary$ https://docs.google.com/document/d/1QM8lM97xJq3hnO-0DRSOWdDcgsJtqHSf8JgRi75WCBg/edit [L]
</VirtualHost>
<VirtualHost *:81>
	ServerName sam.nipl.net
	DocumentRoot "/www/sam.aiki.info"
	ServerAdmin sam@aiki.info
	ErrorLog logs/sam-error_log
	CustomLog logs/sam-access_log combined
	RewriteEngine on
	RewriteRule ^/(.*)$ http://sam.aiki.info/$1 [L]
</VirtualHost>
<VirtualHost *:81>
	ServerName samau.nipl.net
	DocumentRoot "/www/sam.aiki.info"
	ServerAdmin sam@aiki.info
	ErrorLog logs/sam-error_log
	CustomLog logs/sam-access_log combined
	RewriteEngine on
	RewriteRule ^/(.*)$ http://samau.aiki.info/$1 [L]
</VirtualHost>
